#### D.2.4.13 locusto

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  locusto(list L);
  The argument must be the output of locus or locusdg or envelop. It transforms the output into a string in standard form readable in other languages, not only Singular
  (Geogebra).

Return:
  The locus in string standard form

Note:
  It can only be called after computing either
  - locus(F) -> locusto( locus(F) )
  - locusdg(locus(F)) -> locusto( locusdg(locus(F)) )
  - envelop(F,C) -> locusto( envelop(F,C) )

Example:

    LIB "grobcov.lib";
    if(defined(R)){kill R;}
    ring R=(0,x,y),(x1,y1),dp;
    short=0;
    ideal S=x1^2+y1^2-4,(y-2)*x1-x*y1+2*x,(x-x1)^2+(y-y1)^2-1;
    def L=locus(S);
    locusto(L);
    ==> [[[(x^4+2*x^2*y^2-9*x^2+y^4-9*y^2+4*y+12)],[[1]]],[[1],[Normal],[x1^2+y1^\
       2-4]]],[[(x^2+y^2-4*y+3)],[[1]]],[[0],[Special],[y1^2-3*y1+2,x1*y1-x1,x1^\
       2+y1^2-4]]]]
    locusto(locusdg(L));
    ==> [[[(x^4+2*x^2*y^2-9*x^2+y^4-9*y^2+4*y+12)],[[1]]],[[1],[Relevant],[x1^2+y\
       1^2-4]]]]

User manual for Singular version 4.4.1, 2025, generated by texi2html.